// ======================================================================
// PROVIDED CODE - DO NOT EDIT THIS FILE
// ======================================================================

#ifndef _RENDER_H_
#define _RENDER_H_

#include <cassert>
#include <string>
#include <list>

#include "diff.h"
#include "input_output.h"

//
// This function is given the contents of one input text file, and a
// difference file that contains specific edits that can be performed
// to transform this file into the second input.
//
// This function saves an HTML visualization of this difference using
// pink and green highlights.  This HTML visualization can be loaded
// in any modern web browser (Chrome, Firefox, Safari, Edge).
//
void render_diff(PARSE type,
                 const std::list<std::string> &input, const std::list<Diff> &diff,
                 const std::string &filename);

#endif
